Subject: Re: B19; supporting a DOS-path such as C:\a\b\c;C:\d\e\f;D:\g\h
From: [email-masked] (Greg Miller)

16 May 1998 03:41:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

Bob McGowan wrote:
> > Let me first say that I like using bash on windows (cmd.exe makes me
> > insane). Naturally, bash uses a Unix-style PATH for finding things.
> 
> My sentiments, exactly.

For those times when you need something cmd.exe compatible, try
4NT.EXE... Now that I've tried it, I find bash annoying :)

> the /c option.  It has been a while since I used it and I do not for
> sure
> recall if there may have been _some_ processing of the line (for $var's
> and backticks at least) but in general if backslashes were seen they
> were
> left as is and if forward slashes were used in a path, they were
> translated
> to backslashes.

Which is not strictly necessary for DOS itself, but many applications
aren't smart enough to handle forward slashes in the correct, Microsoft
specified way.

-- 
Video games: http://www.classic-games.com/
TW (online game): http://www.classic-games.com/tw.html
Magic cards: http://www.classic-games.com/magic.html
***** ATTENTION NEWBIES: Limit signatures to four lines! *****

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".